Bug 166118 - symbolic access to return value
symbolic access to return value
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-08-16 20:21 EDT by Frank Ch. Eigler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 15:37:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 1132 None None None Never

  None (edit)
Description Frank Ch. Eigler 2005-08-16 20:21:06 EDT
In systemtap, probe points placed at function return points should have access
to the value being returned from a function.  According to roland, there is no
location list type data to symbolically refer to the place where the return
value may be found.  According to roland, ebl may be able to spit out a fake
location list which encodes the abi.  Please make it so.
Comment 1 Roland McGrath 2005-11-14 22:04:16 EST
I started working on this.
Comment 2 Roland McGrath 2006-02-21 15:37:27 EST
There is an interface for this now in elfutils (in 0.119 and maybe earlier).
It still needs more testing for the hairy cases, but systemtap uses are unlikely
to care about the corners that haven't been tested yet.

Note You need to log in before you can comment on or make changes to this bug.